#include <QCoreApplication>
#include <QSettings>
#include <QTimer>
#include <QDebug>

const char kParameterKey[] = "Parameter";
const int kTimerInterval = 100;

int main(int argc, char *argv[])
{
    QCoreApplication a(argc, argv);

    const QString inifile = qApp->applicationDirPath() + QLatin1String("/settings-bug.ini");
    QSettings settings(inifile, QSettings::IniFormat);

    auto parameter = settings.value(QLatin1String(kParameterKey)).toInt();

    QTimer timer;
    QCoreApplication::connect(&timer, &QTimer::timeout, [&settings, &parameter]() {
        ++parameter;
        settings.setValue(QLatin1String(kParameterKey), parameter);
        qDebug() << "Update" << parameter;
    });
    timer.start(kTimerInterval);


    return a.exec();
}
